Get all printers
post
/fscmRestApi/resources/11.13.18.05/procurementAgents/action/getPrinters
Displays all printers added in BI Publisher.
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
objectResponse
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): array
result
This action returns all the printers added in BI Publisher.
Nested Schema : result
Type:
arrayThis action returns all the printers added in BI Publisher.
Show Source
Examples
This example describes how to get all printers.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/procurementAgents/action/getPrinters"
For example:
curl -u username:password "https://servername/fscmRestApi/resources/version/procurementAgents/action/getPrinters"
Example Response Body
The following example includes the contents of the response body
in JSON format:
{
"result": [
"Printer 1",
"Printer 2"
]
}